Package com.collibra.dgc.core.api.dto.meta.path

# Class PathNodeFilterRequest.Builder

Object
Builder

Enclosing class:
  `PathNodeFilterRequest`

public static class PathNodeFilterRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PathNodeFilterRequest.Builder`
  `and(List<PathNodeFilterRequest> and)`
  `PathNodeFilterRequest.Builder`
  `assetId(UuidFilterRequest assetId)`
  `PathNodeFilterRequest.Builder`
  `booleanAttributes(BooleanAttributeCollectionFilterRequest booleanAttributes)`
  `PathNodeFilterRequest`
  `build()`
  `PathNodeFilterRequest.Builder`
  `communityIds(CommunityCollectionFilterRequest communityIds)`
  `PathNodeFilterRequest.Builder`
  `createdOn(DateFilterRequest createdOn)`
  `PathNodeFilterRequest.Builder`
  `dateAttributes(DateAttributeCollectionFilterRequest dateAttributes)`
  `PathNodeFilterRequest.Builder`
  `domainId(UuidFilterRequest domainId)`
  `PathNodeFilterRequest.Builder`
  `domainTypePublicId(PublicIdFilterRequest domainTypePublicId)`
  `PathNodeFilterRequest.Builder`
  `incomingRelations(RelationCollectionFilterRequest incomingRelations)`
  `PathNodeFilterRequest.Builder`
  `lastModifiedOn(DateFilterRequest lastModifiedOn)`
  `PathNodeFilterRequest.Builder`
  `numericAttributes(NumericAttributeCollectionFilterRequest numericAttributes)`
  `PathNodeFilterRequest.Builder`
  `or(List<PathNodeFilterRequest> or)`
  `PathNodeFilterRequest.Builder`
  `outgoingRelations(RelationCollectionFilterRequest outgoingRelations)`
  `PathNodeFilterRequest.Builder`
  `responsibilityRoles(ResourceExistsFilterRequest responsibilityRoles)`
  `PathNodeFilterRequest.Builder`
  `statusId(UuidFilterRequest statusId)`
  `PathNodeFilterRequest.Builder`
  `stringAttributes(StringAttributeCollectionFilterRequest stringAttributes)`
  `PathNodeFilterRequest.Builder`
  `tags(TagCollectionFilterRequest tags)`
  `String`
  `toString()`
  `PathNodeFilterRequest.Builder`
  `typePublicId(PublicIdFilterRequest typePublicId)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### and

    public PathNodeFilterRequest.Builder and(List<PathNodeFilterRequest> and)
    Returns:
      `this`.

  - ### or

    public PathNodeFilterRequest.Builder or(List<PathNodeFilterRequest> or)
    Returns:
      `this`.

  - ### typePublicId

    public PathNodeFilterRequest.Builder typePublicId(PublicIdFilterRequest typePublicId)
    Returns:
      `this`.

  - ### statusId

    public PathNodeFilterRequest.Builder statusId(UuidFilterRequest statusId)
    Returns:
      `this`.

  - ### tags

    public PathNodeFilterRequest.Builder tags(TagCollectionFilterRequest tags)
    Returns:
      `this`.

  - ### createdOn

    public PathNodeFilterRequest.Builder createdOn(DateFilterRequest createdOn)
    Returns:
      `this`.

  - ### lastModifiedOn

    public PathNodeFilterRequest.Builder lastModifiedOn(DateFilterRequest lastModifiedOn)
    Returns:
      `this`.

  - ### stringAttributes

    public PathNodeFilterRequest.Builder stringAttributes(StringAttributeCollectionFilterRequest stringAttributes)
    Returns:
      `this`.

  - ### numericAttributes

    public PathNodeFilterRequest.Builder numericAttributes(NumericAttributeCollectionFilterRequest numericAttributes)
    Returns:
      `this`.

  - ### booleanAttributes

    public PathNodeFilterRequest.Builder booleanAttributes(BooleanAttributeCollectionFilterRequest booleanAttributes)
    Returns:
      `this`.

  - ### dateAttributes

    public PathNodeFilterRequest.Builder dateAttributes(DateAttributeCollectionFilterRequest dateAttributes)
    Returns:
      `this`.

  - ### incomingRelations

    public PathNodeFilterRequest.Builder incomingRelations(RelationCollectionFilterRequest incomingRelations)
    Returns:
      `this`.

  - ### outgoingRelations

    public PathNodeFilterRequest.Builder outgoingRelations(RelationCollectionFilterRequest outgoingRelations)
    Returns:
      `this`.

  - ### responsibilityRoles

    public PathNodeFilterRequest.Builder responsibilityRoles(ResourceExistsFilterRequest responsibilityRoles)
    Returns:
      `this`.

  - ### assetId

    public PathNodeFilterRequest.Builder assetId(UuidFilterRequest assetId)
    Returns:
      `this`.

  - ### domainId

    public PathNodeFilterRequest.Builder domainId(UuidFilterRequest domainId)
    Returns:
      `this`.

  - ### communityIds

    public PathNodeFilterRequest.Builder communityIds(CommunityCollectionFilterRequest communityIds)
    Returns:
      `this`.

  - ### domainTypePublicId

    public PathNodeFilterRequest.Builder domainTypePublicId(PublicIdFilterRequest domainTypePublicId)
    Returns:
      `this`.

  - ### build

    public PathNodeFilterRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`